Bug 189728 - RFE: add preview-latex support to package. PATCH ATTACHED.
RFE: add preview-latex support to package. PATCH ATTACHED.
Product: Fedora
Classification: Fedora
Component: emacs-auctex (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ed Hill
Fedora Extras Quality Assurance
Depends On: 189753
  Show dependency treegraph
Reported: 2006-04-23 20:14 EDT by Jonathan Underwood
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-06-18 15:12:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Updated spec adding preview-latex support (4.70 KB, text/plain)
2006-04-23 20:14 EDT, Jonathan Underwood
no flags Details
Patch to add preview-latex support (4.02 KB, patch)
2006-04-23 20:17 EDT, Jonathan Underwood
no flags Details | Diff
Spec file for auctex which adds preview functionality (4.49 KB, text/plain)
2006-05-01 10:40 EDT, Jonathan Underwood
no flags Details
Updated spec to split out tetex-preview (6.22 KB, application/octet-stream)
2006-05-18 17:15 EDT, Jonathan Underwood
no flags Details

  None (edit)
Description Jonathan Underwood 2006-04-23 20:14:36 EDT
Description of problem:
Current emacs-auctex package doesn't include preview-latex

Version-Release number of selected component (if applicable):

How reproducible:
Every time

Steps to Reproduce:
1. Install emacs-auctex
2. preview-latex not included
Actual results:
no preview-latex

Expected results:
preview-latex installed

Additional info:
Comment 1 Jonathan Underwood 2006-04-23 20:14:36 EDT
Created attachment 128135 [details]
Updated spec adding preview-latex support
Comment 2 Jonathan Underwood 2006-04-23 20:17:45 EDT
Created attachment 128136 [details]
Patch to add preview-latex support

Adds preview-latex support and other miscellaneous cleanups
Comment 3 Jonathan Underwood 2006-04-23 20:19:17 EDT
As an aside, I note no xemacs packages are currently generated (I realize an old
version of auctex ships with xemacs) - I recently worked out a simple scheme for
adding this capability to the muse package in FE - if you're happy, at a later
date I'll add xemacs support to the auctex package - let me know.
Comment 4 Ed Hill 2006-04-23 21:20:58 EDT
Hi Jonathan, I read (but did not test) your patches above and they look 
good.  I just don't have much time this week.  So, here are two options:

 1) you have CVS access to Extras so please (with my blessing!) feel free
    to apply them to the FC-4/5, and devel branches and request builds
 2) otherwise, please be patient and I'll look into it next weekend.

Is that OK?
Comment 5 Jonathan Underwood 2006-04-24 05:11:12 EDT
Hi Ed,

I too am a little time starved for the next few days, but if I get chance I'll
apply the patches, and email you to let you know before hand, otherwise I'm
happy to be patient - I hope I wasn't appearing impatient, I understand the time
poverty situation :)
Comment 6 Jonathan Underwood 2006-04-24 06:53:43 EDT
Also, I have just corresponded with the auctex author (David Karstrup) about the
changes to the spec file, and he's pointed out a few problems, mainly in that
the preview.sty shipped with auctex will conflict with that shipped with tetex
3.0. I'll continue to work on it, but it may be worth holding off adding my
patch to CVS at this point in time - will keep you updated.
Comment 7 Ed Hill 2006-04-24 10:35:08 EDT
Cool, that sounds good.  I'll wait to hear back before applying these changes.  
And thank you for looking into the preview bits.  Its been requested by others 
but just hasn't been a big enough priority for me to find the time.
Comment 8 Jonathan Underwood 2006-05-01 10:40:53 EDT
Created attachment 128444 [details]
Spec file for auctex which adds preview functionality
Comment 9 Jonathan Underwood 2006-05-01 10:42:03 EDT
Hi Ed,

OK. Attached is a spec file which adds the preview stuff with the minimum of
changes. I think this is ready to push to FE now. Let me know if you want me to
do so, orif you're happy to do so.

In the next message I'll detail some things that we need to consider for the future.
Comment 10 Jonathan Underwood 2006-05-01 11:17:59 EDT
OK. In comment #8 is a spec file which adds functional preview latex support
with a minimum of changes to the way this is packaged. However, I wanted to
mention a few things we should consider which have come out of looking carefully
at the packaging and talking with the auctex developers.

1) preview.sty and related tex files.
Auctex includes the preview.sty latex file (and related other files). With the
package in comment #8, these latex files are placed in the emacs lisp tree as a
private copy for auctex/preview, as configure was called with
--without-texmf-dir. However, the natural place to put them would be in the
/usr/share/texmf tree, where all other latex packages go. This would then expose
the preview.sty functionality for other packages eg. LyX. (This is what I did in
the spec file in comment #1). However, it makes sense to have these latex files
in their own package, such that, for example, LyX could make use of them without
requiring an installation of auctex. 

Note also that tetex 3.0 (shipped with FC5) would normally include preview.sty
creating a package conflict. However, since the tetex version of preview.sty is
incomplete, it is actually stripped out of the tetex package. 

2) XEmacs support. 
Prior to the inclusion of the preview functionality there wasn't a need for an
XEmacs package, since auctex was included in the base XEmacs package. However,
there's now a clearer need for a package of auctex for XEmacs. This is
relatively easy to achieve - see my recent muse package for an example of how to
generate both emacs and xemacs packages from a single spec and tarball. However,
following this approach would require renaming the package from emacs-auctex to
just auctex, and having emacs-auctex and xemacs-auctex subpackages.

So, the proposal treating both of these points:
Rename the package to auctex. the auctex binary rpm only contains the files
common to emacs and xemacs packages (mainly the cods). Build emacs-auctex and
xemacs-auctex subpackages both of which require auctex. If we don't treat point
(1) above, both the emacs-auctex and xemacs-auctex package would contain private
copies of the preview.sty and related files in their lisp trees. If we do treat
point (1) above, there is an additional subpackage required by both emacs-auctex
and xemacs-auctex which has the latex files in it. What should this be called?
tetex-preview is one option, as it would be an add on to tetex. But this
obfuscates the relationship to the auctex package. So perhaps,
auctex-tetex-preview or something? It's a bit difficult to know what to call
this package.

Comment 11 Ed Hill 2006-05-01 11:43:35 EDT
Hi Jonathan, I'm going to be on the road for a couple of days and will 
have sporadic connectivity.  For the time being, please feel free to 
make changes to emacs-auctex in cvs for FC-4/5/devel and request builds 
for them.  I'll be happy to discuss the package re-naming and other 
issues (which sound good--nice to have Xemacs support!) in a couple of 

And thank you for looking into this!
Comment 12 Jonathan Underwood 2006-05-01 13:54:30 EDT
Builds pushed (with some updating of BuildRequires). 
Comment 13 Jonathan Underwood 2006-05-18 17:10:36 EDT
Hi Ed - I have prepared a spec file which splits out the latex preview stuff, so
that eg. Lyx can make use of the functionality (this is strongly suggested as a
good idea by the maintainers). Will attach the updated spec. Let me know if
you're happy for me to push builds, or if you want to.
Comment 14 Jonathan Underwood 2006-05-18 17:15:02 EDT
Created attachment 129497 [details]
Updated spec to split out tetex-preview

This splits out the preview latex style files into the tetex-preview package
Comment 15 Ed Hill 2006-05-19 11:56:32 EDT
Hi Jonathan, I looked at the new spec and it seems OK (although I just don't
have enough time to build it and test it right now!).  Please feel free to 
make the changes and request builds.
Comment 16 Jonathan Underwood 2006-05-21 19:00:59 EDT
OK, builds pushed.

I have also split out the .el source files into a separate package (a la the
emacs packages) - most users don't need the .el files installed.

Note You need to log in before you can comment on or make changes to this bug.